/**
 * 项目：互联网医疗
 * 模型分组：服务管理
 * 模型名称：家庭医生
 * @Author: xiongwei
 * @Date: 2023-09-05 09:42:00
 */

package com.xwd.hospital.server.service;

import java.util.List;
import com.xwd.hospital.server.base.BaseService;
import com.xwd.hospital.server.domain.FamilyDoctor;
import com.xwd.hospital.server.domain.User;
import com.xwd.hospital.server.rest.req.FamilyDoctorParam;

public interface FamilyDoctorService extends BaseService<FamilyDoctor> {

    boolean confirm(Long id, User user);
    boolean reject(Long id,String rejectReason, User user);

    boolean auditPass(Long id, User user);
    boolean auditFail(Long id,String rejectReason, User user);

}
